/** @file
 * Copyright(C) OASIS(R) 2007,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 * This file contains policy intnet constant definitions used in @Requires annotations.
 * @author SCA-C-C++ TC
 * @version 1.1
 * @date 4 March 2010
 */


/* @Define SCA_NS "http://docs.oasis-open.org/ns/opencsa/sca/200903" */
/* @Define SCA_PREFIX "{" ## SCA_NS ## "}" */

/* @Define CLIENTAUTHENTICATION = SCA_PREFIX ## "clientAuthentication" */
/* @Define CLIENTAUTHENTICATION_MESSAGE = CLIENTAUTHENTICATION ## ".message" */
/* @Define CLIENTAUTHENTICATION_TRANSPORT = CLIENTAUTHENTICATION ## ".transport" */

/* @Define SERVERAUTHENTICATION = SCA_PREFIX ## "serverAuthentication" */
/* @Define SERVERAUTHENTICATION_MESSAGE = SERVERAUTHENTICATION ## ".message" */
/* @Define SERVERAUTHENTICATION_TRANSPORT = SERVERAUTHENTICATION ## ".transport" */

/* @Define MUTUTALAUTHENTICATION = SCA_PREFIX ## "mutualAuthentication" */
/* @Define MUTUTALAUTHENTICATION_MESSAGE = MUTUTALAUTHENTICATION ## ".message" */
/* @Define MUTUTALAUTHENTICATION_TRANSPORT = MUTUTALAUTHENTICATION ## ".transport" */

/* @Define CONFIDENTIALITY = SCA_PREFIX ## "confidentiality" */
/* @Define CONFIDENTIALITY_MESSAGE = CONFIDENTIALITY ## ".message" */
/* @Define CONFIDENTIALITY_TRANSPORT = CONFIDENTIALITY ## ".transport" */

/* @Define INTEGRITY = SCA_PREFIX ## "integrity" */
/* @Define INTEGRITY_MESSAGE = INTEGRITY ## ".message" */
/* @Define INTEGRITY_TRANSPORT = INTEGRITY ## ".transport" */

/* @Define AUTHORIZATION = SCA_PREFIX ## "authorization" */
/* @Define AUTHORIZATION _FINEGRAIN = MUTUTALAUTHENTICATION ## ".fine_grain" */

/* @Define ATLEASTONCE = SCA_PREFIX ## "atLeastOnce" */

/* @Define ATMOSTONCE = SCA_PREFIX ## "atMostOnce" */

/* @Define ORDERED = SCA_PREFIX ## "ordered" */

/* @Define EXACTLYONCE = SCA_PREFIX ## "exactlyOnce" */

/* @Define MANAGEDTRANSACTION = SCA_PREFIX ## "managedTransaction" */
/* @Define MANAGEDTRANSACTION_LOCAL = MANAGEDTRANSACTION ## "local" */
/* @Define MANAGEDTRANSACTION_GLOBAL = MANAGEDTRANSACTION ## "global" */

/* @Define NOMANAGEDTRANSACTION = SCA_PREFIX ## "noManagedTransaction" */

/* @Define TRANSACTEDONEWAY = SCA_PREFIX ## "transactedOneWay" */

/* @Define IMMEDIATEONEWAY = SCA_PREFIX ## "immediateOneWay" */

/* @Define PROPAGATESTRANSACTION = SCA_PREFIX ## "propagatesTransaction" */

/* @Define SUSPENDSTRANSACTION = SCA_PREFIX ## "usupendsTransaction" */

/* @Define SOAP = SCA_PREFIX ## "SOAP" */
/* @Define SOAP_v1_1 = SOAP ## ".v1_1" */
/* @Define SOAP_v1_2 = SOAP ## ".v1_2" */
